Package org.apache.sysds.runtime.compress.utils

## Class ACount.DArrCounts

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.ACount<DblArray>
  - - org.apache.sysds.runtime.compress.utils.ACount.DArrCounts

Enclosing class:
  ACount<T>

    public static final class ACount.DArrCounts
    extends ACount<DblArray>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.compress.utils.ACount

`ACount.DArrCounts, ACount.DCounts`

### Field Summary

Fields
`DblArray` `key`
`ACount.DArrCounts` `next`

### Fields inherited from class org.apache.sysds.runtime.compress.utils.ACount

`count, id`

### Constructor Summary

Constructors
`DArrCounts​(DblArray key, int id)`
`DArrCounts​(DblArray key, int id, int count)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ACount<DblArray>` `get​(DblArray key)`
`ACount.DArrCounts` `inc​(DblArray key, int c, int id)`
`DblArray` `key()`
`ACount.DArrCounts` `next()`
`void` `setNext​(ACount<DblArray> e)`

### Methods inherited from class org.apache.sysds.runtime.compress.utils.ACount

`get, inc, sort, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public final DblArray key

#### next

    public ACount.DArrCounts next

### Constructor Detail

#### DArrCounts

    public DArrCounts​(DblArray key,
                      int id)

#### DArrCounts

    public DArrCounts​(DblArray key,
                      int id,
                      int count)

### Method Detail

#### next

    public final ACount.DArrCounts next()

Specified by:
  `next` in class `ACount<DblArray>`

#### setNext

    public final void setNext​(ACount<DblArray> e)

Specified by:
  `setNext` in class `ACount<DblArray>`

#### key

    public final DblArray key()

Specified by:
  `key` in class `ACount<DblArray>`

#### get

    public final ACount<DblArray> get​(DblArray key)

Specified by:
  `get` in class `ACount<DblArray>`

#### inc

    public final ACount.DArrCounts inc​(DblArray key,
                                       int c,
                                       int id)

Specified by:
  `inc` in class `ACount<DblArray>`